# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'fplPanel.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_FplPanel(object):
    def setupUi(self, FplPanel):
        FplPanel.setObjectName("FplPanel")
        FplPanel.resize(336, 401)
        self.verticalLayout = QtWidgets.QVBoxLayout(FplPanel)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(FplPanel)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.filterStatus_button = QtWidgets.QToolButton(FplPanel)
        self.filterStatus_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.filterStatus_button.setObjectName("filterStatus_button")
        self.horizontalLayout.addWidget(self.filterStatus_button)
        self.filterCallsign_edit = QtWidgets.QLineEdit(FplPanel)
        self.filterCallsign_edit.setObjectName("filterCallsign_edit")
        self.horizontalLayout.addWidget(self.filterCallsign_edit)
        self.filterArrDep_button = QtWidgets.QToolButton(FplPanel)
        self.filterArrDep_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.filterArrDep_button.setObjectName("filterArrDep_button")
        self.horizontalLayout.addWidget(self.filterArrDep_button)
        self.filterDate_button = QtWidgets.QToolButton(FplPanel)
        self.filterDate_button.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.filterDate_button.setObjectName("filterDate_button")
        self.horizontalLayout.addWidget(self.filterDate_button)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.list_view = FlightPlanTableView(FplPanel)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.list_view.sizePolicy().hasHeightForWidth())
        self.list_view.setSizePolicy(sizePolicy)
        self.list_view.setDragDropMode(QtWidgets.QAbstractItemView.InternalMove)
        self.list_view.setAlternatingRowColors(False)
        self.list_view.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.list_view.setHorizontalScrollMode(QtWidgets.QAbstractItemView.ScrollPerPixel)
        self.list_view.setObjectName("list_view")
        self.list_view.horizontalHeader().setStretchLastSection(True)
        self.list_view.verticalHeader().setVisible(False)
        self.verticalLayout.addWidget(self.list_view)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.publish_button = QtWidgets.QToolButton(FplPanel)
        self.publish_button.setObjectName("publish_button")
        self.horizontalLayout_3.addWidget(self.publish_button)
        self.open_button = QtWidgets.QToolButton(FplPanel)
        self.open_button.setObjectName("open_button")
        self.horizontalLayout_3.addWidget(self.open_button)
        self.close_button = QtWidgets.QToolButton(FplPanel)
        self.close_button.setObjectName("close_button")
        self.horizontalLayout_3.addWidget(self.close_button)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem)
        self.checkNow_button = QtWidgets.QToolButton(FplPanel)
        self.checkNow_button.setObjectName("checkNow_button")
        self.horizontalLayout_3.addWidget(self.checkNow_button)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.newFPL_button = QtWidgets.QToolButton(FplPanel)
        self.newFPL_button.setObjectName("newFPL_button")
        self.horizontalLayout_2.addWidget(self.newFPL_button)
        self.revert_button = QtWidgets.QToolButton(FplPanel)
        self.revert_button.setObjectName("revert_button")
        self.horizontalLayout_2.addWidget(self.revert_button)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.remove_button = QtWidgets.QToolButton(FplPanel)
        self.remove_button.setEnabled(False)
        self.remove_button.setObjectName("remove_button")
        self.horizontalLayout_2.addWidget(self.remove_button)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.label.setBuddy(self.filterStatus_button)

        self.retranslateUi(FplPanel)
        QtCore.QMetaObject.connectSlotsByName(FplPanel)
        FplPanel.setTabOrder(self.list_view, self.filterStatus_button)
        FplPanel.setTabOrder(self.filterStatus_button, self.filterCallsign_edit)
        FplPanel.setTabOrder(self.filterCallsign_edit, self.filterArrDep_button)
        FplPanel.setTabOrder(self.filterArrDep_button, self.filterDate_button)
        FplPanel.setTabOrder(self.filterDate_button, self.checkNow_button)
        FplPanel.setTabOrder(self.checkNow_button, self.publish_button)
        FplPanel.setTabOrder(self.publish_button, self.open_button)
        FplPanel.setTabOrder(self.open_button, self.close_button)
        FplPanel.setTabOrder(self.close_button, self.newFPL_button)
        FplPanel.setTabOrder(self.newFPL_button, self.revert_button)
        FplPanel.setTabOrder(self.revert_button, self.remove_button)

    def retranslateUi(self, FplPanel):
        _translate = QtCore.QCoreApplication.translate
        self.label.setText(_translate("FplPanel", "Filter:"))
        self.filterStatus_button.setToolTip(_translate("FplPanel", "Filter by online status"))
        self.filterStatus_button.setText(_translate("FplPanel", "Status"))
        self.filterCallsign_edit.setToolTip(_translate("FplPanel", "Filter by callsign"))
        self.filterCallsign_edit.setPlaceholderText(_translate("FplPanel", "Callsign"))
        self.filterArrDep_button.setToolTip(_translate("FplPanel", "Filter by ARR/DEP/alternate airfield"))
        self.filterArrDep_button.setText(_translate("FplPanel", "AD"))
        self.filterDate_button.setToolTip(_translate("FplPanel", "Filter by scheduled date"))
        self.filterDate_button.setText(_translate("FplPanel", "Date"))
        self.publish_button.setToolTip(_translate("FplPanel", "File FPL or push local changes online"))
        self.publish_button.setText(_translate("FplPanel", "PUBLISH"))
        self.open_button.setText(_translate("FplPanel", "OPEN"))
        self.close_button.setText(_translate("FplPanel", "CLOSE"))
        self.checkNow_button.setToolTip(_translate("FplPanel", "Check for updates now"))
        self.checkNow_button.setText(_translate("FplPanel", "Check now"))
        self.newFPL_button.setText(_translate("FplPanel", "+ FPL"))
        self.revert_button.setToolTip(_translate("FplPanel", "Revert local changes"))
        self.revert_button.setText(_translate("FplPanel", "Revert"))
        self.remove_button.setText(_translate("FplPanel", "- FPL"))
from gui.widgets.fplTableView import FlightPlanTableView
